<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/ActionComponents/CAContinuousMineRock.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d99/_c_a_continuous_mine_rock_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CAContinuousMineRock.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d99/_c_a_continuous_mine_rock_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/d93/class_c_a_continuous_mine_rock.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d93/class_c_a_continuous_mine_rock.html">CAContinuousMineRock</a> : <a class="code hl_class" href="../../dc/d12/class_c_a_continuous_mine_wood.html">CAContinuousMineWood</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/d93/class_c_a_continuous_mine_rock.html#a38620028118dbd756c7dd11cbf31448f">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d93/class_c_a_continuous_mine_rock.html#a38620028118dbd756c7dd11cbf31448f">CAContinuousMineRock</a>(<span class="keywordtype">float</span> time_between_drops)</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a00308fbae0218e08bb1f3bc916c4a792">m_TimeBetweenMaterialDrops</a> = time_between_drops;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d0/d93/class_c_a_continuous_mine_rock.html#a1f276a5e2f00e4cc26b1edb35c5fd862">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d93/class_c_a_continuous_mine_rock.html#a1f276a5e2f00e4cc26b1edb35c5fd862">GetMiningData</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> ntarget;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(ntarget, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject()) )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#aec5d243a86f5680ec2016c39e0f6ca96">m_AmountOfDrops</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Max</a>(1,ntarget.<a class="code hl_function" href="../../db/d6f/class_rock_base.html#a333ee79d986ec85bec5ed5ef373c168c">GetAmountOfDrops</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>));</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <span class="comment">//m_Material = ntarget.GetMaterial(action_data.m_MainItem);</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            <span class="comment">//m_AmountOfMaterialPerDrop = Math.Max(1,ntarget.GetAmountOfMaterialPerDrop(action_data.m_MainItem));</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            ntarget.<a class="code hl_function" href="../../db/d6f/class_rock_base.html#a9384ccef40ac89bd3fa831fbd1cfb775">GetMaterialAndQuantityMap</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>,<a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ae2b07c8734b86789707fb4e56c9cfd1f">m_MaterialAndQuantityMap</a>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ac1a5bc7181aef0b5d123c67e83a57bfc">m_DamageToMiningItemEachDrop</a> = ntarget.<a class="code hl_function" href="../../db/d6f/class_rock_base.html#a1506d8b01c2632ec95d364d3859a218f">GetDamageToMiningItemEachDrop</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#a84b6e4dabb5fc52d6a2523788a4f9c4b">m_AdjustedDamageToMiningItemEachDrop</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().SubtractSpecialtyBonus( <a class="code hl_variable" href="../../dc/d12/class_c_a_continuous_mine_wood.html#ac1a5bc7181aef0b5d123c67e83a57bfc">m_DamageToMiningItemEachDrop</a>, <a class="code hl_variable" href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">m_Action</a>.GetSpecialtyWeight(), <span class="keyword">true</span> );</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>};</div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a0d37d5dd461d15b99bde41f229a7433f"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">CABase::m_Action</a></div><div class="ttdeci">protected ActionBase m_Action</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00003">CABase.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_rock_html"><div class="ttname"><a href="../../d0/d93/class_c_a_continuous_mine_rock.html">CAContinuousMineRock</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d99/_c_a_continuous_mine_rock_8c_source.html#l00001">CAContinuousMineRock.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_rock_html_a1f276a5e2f00e4cc26b1edb35c5fd862"><div class="ttname"><a href="../../d0/d93/class_c_a_continuous_mine_rock.html#a1f276a5e2f00e4cc26b1edb35c5fd862">CAContinuousMineRock::GetMiningData</a></div><div class="ttdeci">override bool GetMiningData(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d99/_c_a_continuous_mine_rock_8c_source.html#l00008">CAContinuousMineRock.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_rock_html_a38620028118dbd756c7dd11cbf31448f"><div class="ttname"><a href="../../d0/d93/class_c_a_continuous_mine_rock.html#a38620028118dbd756c7dd11cbf31448f">CAContinuousMineRock::CAContinuousMineRock</a></div><div class="ttdeci">void CAContinuousMineRock(float time_between_drops)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d99/_c_a_continuous_mine_rock_8c_source.html#l00003">CAContinuousMineRock.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html">CAContinuousMineWood</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00001">CAContinuousMineWood.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a00308fbae0218e08bb1f3bc916c4a792"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a00308fbae0218e08bb1f3bc916c4a792">CAContinuousMineWood::m_TimeBetweenMaterialDrops</a></div><div class="ttdeci">protected float m_TimeBetweenMaterialDrops</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00006">CAContinuousMineWood.c:6</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_a84b6e4dabb5fc52d6a2523788a4f9c4b"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#a84b6e4dabb5fc52d6a2523788a4f9c4b">CAContinuousMineWood::m_AdjustedDamageToMiningItemEachDrop</a></div><div class="ttdeci">protected float m_AdjustedDamageToMiningItemEachDrop</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00008">CAContinuousMineWood.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_ac1a5bc7181aef0b5d123c67e83a57bfc"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#ac1a5bc7181aef0b5d123c67e83a57bfc">CAContinuousMineWood::m_DamageToMiningItemEachDrop</a></div><div class="ttdeci">protected float m_DamageToMiningItemEachDrop</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00007">CAContinuousMineWood.c:7</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_ae2b07c8734b86789707fb4e56c9cfd1f"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#ae2b07c8734b86789707fb4e56c9cfd1f">CAContinuousMineWood::m_MaterialAndQuantityMap</a></div><div class="ttdeci">protected ref map&lt; string, int &gt; m_MaterialAndQuantityMap</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00012">CAContinuousMineWood.c:12</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html_aec5d243a86f5680ec2016c39e0f6ca96"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html#aec5d243a86f5680ec2016c39e0f6ca96">CAContinuousMineWood::m_AmountOfDrops</a></div><div class="ttdeci">protected int m_AmountOfDrops</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00009">CAContinuousMineWood.c:9</a></div></div>
<div class="ttc" id="aclass_rock_base_html"><div class="ttname"><a href="../../db/d6f/class_rock_base.html">RockBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00001">RockBase.c:2</a></div></div>
<div class="ttc" id="aclass_rock_base_html_a1506d8b01c2632ec95d364d3859a218f"><div class="ttname"><a href="../../db/d6f/class_rock_base.html#a1506d8b01c2632ec95d364d3859a218f">RockBase::GetDamageToMiningItemEachDrop</a></div><div class="ttdeci">float GetDamageToMiningItemEachDrop(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00050">RockBase.c:50</a></div></div>
<div class="ttc" id="aclass_rock_base_html_a333ee79d986ec85bec5ed5ef373c168c"><div class="ttname"><a href="../../db/d6f/class_rock_base.html#a333ee79d986ec85bec5ed5ef373c168c">RockBase::GetAmountOfDrops</a></div><div class="ttdeci">int GetAmountOfDrops(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00008">RockBase.c:8</a></div></div>
<div class="ttc" id="aclass_rock_base_html_a9384ccef40ac89bd3fa831fbd1cfb775"><div class="ttname"><a href="../../db/d6f/class_rock_base.html#a9384ccef40ac89bd3fa831fbd1cfb775">RockBase::GetMaterialAndQuantityMap</a></div><div class="ttdeci">void GetMaterialAndQuantityMap(ItemBase item, out map&lt; string, int &gt; output_map)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00025">RockBase.c:25</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga0ea2cf98823125deeeb28e8c03d3d756"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Math::Max</a></div><div class="ttdeci">static proto float Max(float x, float y)</div><div class="ttdoc">Returns bigger of two given values.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_a8e5ff2c2bb8b37380a7130140e2e6d3.html">ActionComponents</a></li><li class="navelem"><a class="el" href="../../d9/d99/_c_a_continuous_mine_rock_8c.html">CAContinuousMineRock.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
